import request from '@/utils/request'


export function getTaskList(data) {
    return request({
        url: '/knowledge/system/train/findListByUser',
        method: 'get',
        params: data
    })
}
export function getTaskDetail(id) {
    return request({
        url: '/knowledge/system/train/findOne?id='+id,
        method: 'get'
    })
}
export function getMaterial(id) {
    return request({
        url: '/knowledge/system/train/getMaterial?id='+id,
        method: 'get'
    })
}

export function findTrainRecordList(data) {
    return request({
        url: '/knowledge/system/train/findTrainRecordList',
        method: 'get',
        params: data
    })
}
export function addTrainRecord(data) {
    return request({
        url: '/knowledge/system/trainRecord/save',
        method: 'post',
        data
    })
}
export function addReview(data) {
    return request({
        url: '/knowledge/system/trainRecord/review',
        method: 'post',
        data
    })
}
